# rational.rb

Path: | rational.rb
Last Update: | Tue Oct 25 16:40:52 AUS Eastern Standard Time 2005

      rational.rb -
          $Release Version: 0.5 $
          $Revision: 1.7 $
          $Date: 1999/08/24 12:49:28 $
          by Keiju ISHITSUKA(SHL Japan Inc.)

Documentation by Kevin Jackson and Gavin Sinclair.

When you `require ‘rational’`, all interactions between numbers potentially return a rational result. For example:

      1.quo(2)              # -> 0.5
      require 'rational'
      1.quo(2)              # -> Rational(1,2)

See Rational for full documentation.

### Methods

Rational

### Public Instance methods

Rational(a, b = 1)

Creates a Rational number (i.e. a fraction). `a` and `b` should be Integers:

      Rational(1,3)           # -> 1/3

Note: trying to construct a Rational with floating point or real values produces errors:

      Rational(1.1, 2.3)      # -> NoMethodError

[Source]

    # File rational.rb, line 31
    def Rational(a, b = 1)
      if a.kind_of?(Rational) && b == 1
        a
      else
        Rational.reduce(a, b)
      end
    end

[Validate]